aboutsummaryrefslogtreecommitdiffstats
path: root/target/toolchain
diff options
context:
space:
mode:
Diffstat (limited to 'target/toolchain')
-rwxr-xr-xtarget/toolchain/files/wrapper.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/target/toolchain/files/wrapper.sh b/target/toolchain/files/wrapper.sh
index 51c8879a76..2cbcc8c1e6 100755
--- a/target/toolchain/files/wrapper.sh
+++ b/target/toolchain/files/wrapper.sh
@@ -48,22 +48,22 @@ export GCC_HONOUR_COPTS
TOOLCHAIN_SYSROOT="$TOOLCHAIN_BIN_DIR/../.."
if [ ! -d "$TOOLCHAIN_SYSROOT" ]; then
- echo "Error: Unable to determine sysroot (looking for $TOOLCHAIN_SYSROOT)!" >&2
- exit 1
+ echo "Error: Unable to determine sysroot (looking for $TOOLCHAIN_SYSROOT)!" >&2
+ exit 1
fi
# -Wl,--dynamic-linker=$TOOLCHAIN_SYSROOT/lib/ld-uClibc.so.0
# --dynamic-linker=$TOOLCHAIN_SYSROOT/lib/ld-uClibc.so.0
case $TOOLCHAIN_PLATFORM in
- gnu|glibc|uclibc|musl)
- GCC_SYSROOT_FLAGS="--sysroot=$TOOLCHAIN_SYSROOT -Wl,-rpath=$TOOLCHAIN_SYSROOT/lib:$TOOLCHAIN_SYSROOT/usr/lib"
- LD_SYSROOT_FLAGS="-rpath=$TOOLCHAIN_SYSROOT/lib:$TOOLCHAIN_SYSROOT/usr/lib"
- ;;
- *)
- GCC_SYSROOT_FLAGS=""
- LD_SYSROOT_FLAGS=""
- ;;
+ gnu|glibc|uclibc|musl)
+ GCC_SYSROOT_FLAGS="--sysroot=$TOOLCHAIN_SYSROOT -Wl,-rpath=$TOOLCHAIN_SYSROOT/lib:$TOOLCHAIN_SYSROOT/usr/lib"
+ LD_SYSROOT_FLAGS="-rpath=$TOOLCHAIN_SYSROOT/lib:$TOOLCHAIN_SYSROOT/usr/lib"
+ ;;
+ *)
+ GCC_SYSROOT_FLAGS=""
+ LD_SYSROOT_FLAGS=""
+ ;;
esac
#